---
schema_version: "1"
id: 4012f8b996c6d73140107cb4172fc4998e58276198e73767ef47ec4f43edd33c
title: Shop Folders (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-shop-folders.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-shop-folders
source_site: developer.salesforce.com
content_type: documentation
content_hash: 464e4ab3111182d3c72dc0a10ab7dd198dd58f4da5cde91ed80248a41b0b1145
products:
  - B2C Commerce
  - Salesforce APIs
---
Shop Folders (deprecated)

# Shop Folders (deprecated)

The Shop API endpoints enable developers to build full shopper-experience applications such as storefronts. They are designed for high-scale usage, and include a number of areas such as Baskets & Orders, Customers, Products and Pricing. Shop API endpoints are typically read-only APIs, with the exception of baskets and orders.

**Version:** 25.6

## Servers

*   `https://{host}/s/{siteId}/dw/shop/v25_6`

Protocols: https.

## Security

*   `customers_auth` (basic) User authentication either for a registered or a guest customer (selectable in request body). Access via Base64 encoded customer:password string as 'Authorization: Basic' header.
*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get multiple content folders

`GET /folders/({ids})`

Operation ID: `Get multiple content folders`. Tags: folders. Security: client\_id; customers\_auth.

To access one or more content folder, you construct a URL using the template shown below. This template requires you to specify one or more content folder ids and a subfolder level. In response, the server returns a result set of corresponding content folder documents. Only content folder, which are marked as online are returned.

#### Parameters

*   `ids` (path, array of string, required) The ids of the requested content folders.  
    Maximum length: 256.
*   `levels` (query, integer (int32)) Specifies how many levels of nested subfolders you want the server to return. The default value is 1. Valid values are 0, 1, or 2.  
    Minimum: 0. Maximum: 2.
*   `locale` (query, string) The locale context.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_folder_result`.
    

### GET Get content folder

`GET /folders/{id}`

Operation ID: `Get content folder`. Tags: folders. Security: client\_id; customers\_auth.

To access a content folder, you construct a URL using the template shown below. This template requires you to specify a content folder id and a subfolder level. In response, the server returns a corresponding content folder document. Only content folder, which are marked as online are returned.

#### Parameters

*   `id` (path, string, required) The id of the requested content folder.  
    Maximum length: 256.
*   `levels` (query, integer (int32)) Specifies how many levels of nested subfolders you want the server to return. The default value is 1. Valid values are 0, 1, or 2.  
    Minimum: 0. Maximum: 2.
*   `locale` (query, string) The locale context.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `content_folder`.
    

## Schemas

### content\_folder\_result

Result document containing an array of content folders.

*   `count` (_integer (int32)_) The number of returned documents.
*   `data` (_array of content\_folder_) The array of content folder documents.
*   `total` (_integer (int32)_) The total number of documents.

_Example_

```
{
  "count": 2,
  "data": [
    {
      "id": "our-story",
      "name": "Our Story",
      "parent_folder_id": "about-us"
    },
    {
      "id": "our-team",
      "name": "Our Team",
      "parent_folder_id": "about-us"
    }
  ],
  "total": 2
}
```

### content\_folder

Document representing a content folder.

*   `description` (_string_) The localized content folder description.
*   `folders` (_array of content\_folder_) The array of content subfolders. This array can be empty.
*   `id` (_string_, required) The id of the content folder.  
    Minimum length: 1. Maximum length: 256.
*   `name` (_string_) The localized content folder name.
*   `page_description` (_string_) The localized content folder page description.
*   `page_keywords` (_string_) The localized content folder page description.
*   `page_title` (_string_) The localized content folder page title.
*   `parent_folder_id` (_string_) The id of the parent content folder.

_Example_

```
{
  "folders": [
    {
      "id": "our-story",
      "name": "Our Story",
      "parent_folder_id": "about-us"
    },
    {
      "id": "our-team",
      "name": "Our Team",
      "parent_folder_id": "about-us"
    },
    {
      "id": "as-seen-in",
      "name": "As Seen In",
      "parent_folder_id": "about-us"
    },
    {
      "id": "contact-us-new",
      "name": "Contact Us",
      "parent_folder_id": "about-us"
    },
    {
      "id": "employment",
      "name": "Join Us",
      "parent_folder_id": "about-us"
    }
  ],
  "id": "about-us",
  "name": "About Salesforce B2C Commerce",
  "parent_folder_id": "root",
  "c_customCSSFile": "http://example.com/on/demandware.static/Sites-SiteGenesis-Site/Sites-SiteGenesis-Library/default/v1365077029384/css/aboutus.css"
}
```

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.